> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heybee.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Start Top Up Checkout



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspace_id}/billing/top-ups/{pack_key}/checkout
openapi: 3.1.0
info:
  description: Customer-owned evaluation lifecycle API.
  title: HeyBee Public API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.heybee.app
security: []
paths:
  /v1/workspaces/{workspace_id}/billing/top-ups/{pack_key}/checkout:
    post:
      tags:
        - Workspaces
        - Entitlements
        - Quotas
      summary: Start Top Up Checkout
      operationId: >-
        start_top_up_checkout_v1_workspaces__workspace_id__billing_top_ups__pack_key__checkout_post
      parameters:
        - in: path
          name: workspace_id
          required: true
          schema:
            format: uuid
            title: Workspace Id
            type: string
        - in: path
          name: pack_key
          required: true
          schema:
            title: Pack Key
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BillingTopUpCheckoutRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BillingCheckoutResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
components:
  schemas:
    BillingTopUpCheckoutRequest:
      properties:
        confirm_purchase:
          const: true
          title: Confirm Purchase
          type: boolean
      required:
        - confirm_purchase
      title: BillingTopUpCheckoutRequest
      type: object
    BillingCheckoutResponse:
      properties:
        checkout_url:
          title: Checkout Url
          type: string
        transaction_id:
          title: Transaction Id
          type: string
      required:
        - transaction_id
        - checkout_url
      title: BillingCheckoutResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: Supabase JWT
      scheme: bearer
      type: http

````